> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/introduction/the-output-module-query-language/differentiate-selected-properties-from-properties-required-in-a-filter-clause.md).

# Differentiate selected properties from properties required in a filter clause

To find the most recently created users, query the `CreatedOn` property and add a filter that uses the `greater than` operator. Adding the `CreatedOn` property to the tree also selects that property.

In cases where you only want the user ID and first and last name, tell the query engine not to return the `CreatedOn` property and use it in the filter.

{% hint style="info" %}
`CreatedOn` is a date expressed as the number of milliseconds since 1/1/1970.
{% endhint %}

{% tabs %}
{% tab title="JSON" %}

```json
{
  "ViewConfig": {
    "Resources": {
      "User": {
        "Id": { "name": "userId" },
        "FirstName": { "name": "firstName" },
        "LastName": { "name": "lastName" },
        "CreatedOn": { "name": "createdOn", "hidden": true },
        "Filter": { "Field": { "name": "createdOn", "operator": "GREATER", "value": "1440492290300" } }
      }
    }
  }
}
```

{% endtab %}

{% tab title="YAML" %}

```yaml
---
ViewConfig:
  Resources:
    User:
      Id:
        name: "userId"
      FirstName:
        name: "firstName"
      LastName:
        name: "lastName"
      CreatedOn:
        name: "createdOn"
        hidden: true
      Filter:
        Field:
          name: "createdOn"
          operator: "GREATER"
          value: "1440492290300"
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Using `hidden: true` on a property removes that property from the results. The default value is false.
{% endhint %}

```json
{
    "view": {
        "User": [
            {
                "userId": "9546bbe9-7299-4a99-bfd2-d97f8256c201",
                "firstName": "Patrick",
                "lastName": "Star"
            },
            {
                "userId": "d9f3cc67-0db7-4aa5-a246-e83a62ea5c62",
                "firstName": "SpongeBob",
                "lastName": "SquarePants"
            }
        ]
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/introduction/the-output-module-query-language/differentiate-selected-properties-from-properties-required-in-a-filter-clause.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
